Skip to content
Handinger
Search
Ctrl
K
Auto
Light
Dark
Get started
Guides
API Reference
Get started
CLI Tool
HTTP
HTTP
TypeScript
TypeScript
Python
Python
Go
Go
CLI Tool
CLI Tool
Guides
API Reference
Overview
Workers
Create
Retrieve
Continue
Stream Updates
Retrieve Email
Retrieve File
Schedules
List
Create
Cancel
API Reference
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Workers
Create a worker
$
handinger workers create
POST
/api/workers
Retrieve a worker
$
handinger workers retrieve
GET
/api/workers/{workerId}
Continue a worker
$
handinger workers continue
POST
/api/workers/{workerId}
Stream worker updates
$
handinger workers stream-updates
GET
/api/workers/{workerId}/stream
Retrieve a worker email address
$
handinger workers retrieve-email
GET
/api/workers/{workerId}/email
Retrieve a worker file
$
handinger workers retrieve-file
GET
/api/workers/{workerId}/files/{filePath}
Models
Expand
Collapse
create_worker
:
object
{
input
,
budget
,
stream
}
input
:
string
budget
:
optional
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
stream
:
optional
boolean
worker
:
object
{
id
,
created_at
,
error
,
12 more
}
id
:
string
created_at
:
number
error
:
unknown
files
:
array of
object
{
filename
,
mediaType
,
url
}
filename
:
string
mediaType
:
string
url
:
string
incomplete_details
:
unknown
messages
:
array of
unknown
metadata
:
map
[
unknown
]
object
:
"worker"
"worker"
output
:
array of
object
{
id
,
content
,
role
,
2 more
}
id
:
string
content
:
array of
object
{
text
,
type
}
text
:
string
type
:
"output_text"
"output_text"
role
:
"assistant"
"assistant"
status
:
"completed"
"completed"
type
:
"message"
"message"
output_text
:
string
running
:
boolean
sources
:
array of
object
{
id
,
title
,
type
,
url
}
id
:
string
title
:
string
type
:
"url"
"url"
url
:
string
status
:
"running"
or
"completed"
or
"pending"
"running"
"completed"
"pending"
costs
:
optional
object
{
internalCostUsd
,
modelCostUsd
,
sandboxCostUsd
,
toolCostUsd
}
internalCostUsd
:
number
modelCostUsd
:
number
sandboxCostUsd
:
number
toolCostUsd
:
number
usage
:
optional
object
{
cacheReadTokens
,
cacheWriteTokens
,
costUsd
,
6 more
}
cacheReadTokens
:
number
cacheWriteTokens
:
number
costUsd
:
number
inputTokens
:
number
outputTokens
:
number
reasoningTokens
:
number
steps
:
number
totalTokens
:
number
credits
:
optional
number
Workers
Schedules
Manage future and recurring worker tasks.
List worker schedules
$
handinger workers:schedules list
GET
/api/workers/{workerId}/schedules
Create a worker schedule
$
handinger workers:schedules create
POST
/api/workers/{workerId}/schedules
Cancel a worker schedule
$
handinger workers:schedules cancel
DELETE
/api/workers/{workerId}/schedules/{scheduleId}
Models
Expand
Collapse
worker_schedule
:
object
{
id
,
budget
,
input
,
2 more
}
or
object
{
id
,
budget
,
delayInSeconds
,
3 more
}
or
object
{
id
,
budget
,
cron
,
3 more
}
or
object
{
id
,
budget
,
input
,
3 more
}
union_member_0
:
object
{
id
,
budget
,
input
,
2 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
input
:
string
nextRunAt
:
string
type
:
"scheduled"
"scheduled"
union_member_1
:
object
{
id
,
budget
,
delayInSeconds
,
3 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
delayInSeconds
:
number
input
:
string
nextRunAt
:
string
type
:
"delayed"
"delayed"
union_member_2
:
object
{
id
,
budget
,
cron
,
3 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
cron
:
string
input
:
string
nextRunAt
:
string
type
:
"cron"
"cron"
union_member_3
:
object
{
id
,
budget
,
input
,
3 more
}
id
:
string
budget
:
"low"
or
"standard"
or
"high"
or
"unlimited"
"low"
"standard"
"high"
"unlimited"
input
:
string
intervalSeconds
:
number
nextRunAt
:
string
type
:
"interval"
"interval"
On this page
Overview
Workers
Schedules
What can I help you with?
Suggestions
Create scheduled workers
Retrieve worker outputs
Monitor worker progress